package com.bocloud.cmp.model.jumpserver;

import com.alibaba.fastjson.annotation.JSONField;

public class Configs {
    private String icon;
    private Integer port;
    @JSONField(name = "rdp_console")
    private Integer rdpConsole;
    private Integer enterprise;
    private String depends;
    @JSONField(name = "xfwd_cmdline")
    private String xfwdCmdline;

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public Integer getRdpConsole() {
        return rdpConsole;
    }

    public void setRdpConsole(Integer rdpConsole) {
        this.rdpConsole = rdpConsole;
    }

    public Integer getEnterprise() {
        return enterprise;
    }

    public void setEnterprise(Integer enterprise) {
        this.enterprise = enterprise;
    }

    public String getDepends() {
        return depends;
    }

    public void setDepends(String depends) {
        this.depends = depends;
    }

    public String getXfwdCmdline() {
        return xfwdCmdline;
    }

    public void setXfwdCmdline(String xfwdCmdline) {
        this.xfwdCmdline = xfwdCmdline;
    }
}
